Author Topic: FF9 Mod Version 2.1 released for Samuel's DLS!  (Read 3898 times)

Goku7

  • No life
  • *
  • Posts: 1308
  • Karma: 0
    • View Profile
FF9 Mod Version 2.1 released for Samuel's DLS!
« on: 2003-06-21 04:18:13 »
Yes, it's that time of the year again.  Or something. :P

I finally stopped being crowded with real life (and stopped being lazy for a while. :D), and am proud to release Version 2.1 for Samuel's DLS.  The corresponding update for the Original DLS/Rev2 version of the mod is still pending some serious deliberation over whether or not I should just let the FF9 Boss theme use the Orchestral Drum set (it may be that I need to use it more out of necessity than for sample quality....the cymbal length on it just isn't quite as long as I would like the sample to have).

Anyway, this is a rather small update, however it is also a much needed one.  The main change, as I you can probably guess, is that the percussion track in the FF9 Boss Theme is now tons more accurate to the PSX version.  You know the real irony of this?  A non-orchestral drum set turned out to make it sound closer to the PSX version than the others.....Samuel's DLS still surprises me from time to time.

Oh, and one last thing: from last I checked, Aaron has apparantly updated the link but not the news page, so don't be fooled, it IS available....and I might as well point out that the mp3 preview hasn't been updated either, so don't base you're impression on it from that, lol.

Ok, that's the end of my monologue. :P  Now go and get it!  :D  Where?

Final Fantasy SoundFont Project -- Soundfonts/Downloads section

-edit-
Dumb old me forgot to post the all-important linkage. :roll:  I guess I forgot about the newcomers that have joined the Forums since I last released an update for it. :P

iceydamo

  • Cool newbie
  • *
  • Posts: 73
  • Karma: 0
    • View Profile
FF9 Mod Version 2.1 released for Samuel's DLS!
« Reply #1 on: 2003-06-22 09:03:07 »
Right I havent got the 2.0 samels ff9 mod so now where can I download that please

Goku7

  • No life
  • *
  • Posts: 1308
  • Karma: 0
    • View Profile
FF9 Mod Version 2.1 released for Samuel's DLS!
« Reply #2 on: 2003-06-23 01:40:06 »
Quote from: iceydamo
Right I havent got the 2.0 samels ff9 mod so now where can I download that please


Ok, here's the thing.  You DON'T need the previous version in order to use the newest ones, so ver2.0 is NOT required for version 2.1.  Each version can be installed as a "Stand alone" package, without missing anything.

If you're asking where it is, it's located on this part of the FFSF Page.

iceydamo

  • Cool newbie
  • *
  • Posts: 73
  • Karma: 0
    • View Profile
FF9 Mod Version 2.1 released for Samuel's DLS!
« Reply #3 on: 2003-06-23 17:08:05 »
Thats the problem I downloaded them and selected it with the program but nothing happend all it did was create a folder with nothing in it and there was no addons in the list after I done so could you please help me

Goku7

  • No life
  • *
  • Posts: 1308
  • Karma: 0
    • View Profile
FF9 Mod Version 2.1 released for Samuel's DLS!
« Reply #4 on: 2003-06-24 02:14:06 »
Quote from: iceydamo
Thats the problem I downloaded them and selected it with the program but nothing happend all it did was create a folder with nothing in it and there was no addons in the list after I done so could you please help me


Ok, what is the file extention of what you told the configuarator program to select and "install"?

It should be ".ffaddon".  That's right, its more than a 3-letter file extention.

Selecting the ".zip" would most likely result in what you described.

Either that, or I goofed in making the .ffaddon's .ini files script themselves right. :P

So, first, delete the blank folder that the program made, and any "musicset" entries that were created in association with this version of the FF9 mod.

Then, by either using WinZIP or WinRAR, extract the ".ffaddon" file somewhere, and tell the configurator to use that.

Everything should work from there.

iceydamo

  • Cool newbie
  • *
  • Posts: 73
  • Karma: 0
    • View Profile
FF9 Mod Version 2.1 released for Samuel's DLS!
« Reply #5 on: 2003-06-24 17:47:08 »
First thing first i did extract it and this is the filename it had ff8mod_samuel.FFAddon is there anything wrong with that and I did what you said deleted eveything to do with the packeges and when I went to try it again it did the same thing so I don't know why it is not working and the file size for it is 47.1kb is that the right size for your addon?

Goku7

  • No life
  • *
  • Posts: 1308
  • Karma: 0
    • View Profile
FF9 Mod Version 2.1 released for Samuel's DLS!
« Reply #6 on: 2003-06-24 19:50:55 »
It should be the right size....looks like I'll have to take a look at the addon.  The file name is definitley the correct one, so that means you've done nothing wrong on your end.

The reason why the file size seems so small, is because it really only contains a few .ini files (which are text), and the .sgt files (which are the MIDI files), and frankly, you can get away with some pretty awesome compression ratios when compressing text files and midi files.

When I get back to my regular comp (the one that I do my FFSF stuff on), I'll give the whole thing a once-over....I think I know what I did wrong.

Goku7

  • No life
  • *
  • Posts: 1308
  • Karma: 0
    • View Profile
FF9 Mod Version 2.1 released for Samuel's DLS!
« Reply #7 on: 2003-06-25 03:59:26 »
Sorry for the double post....

Iceydamo, I've figured out the problem.  Details are explained here.

It's still possible to install the mod, you'll just have to manually use the newest version of WinRAR to extract the files (and the folder they're in, that's VERY important), and manually edit the "packages.ini" file to make the configurator aware of them and to have it use them properly.

Unfortunately, I have to get off now, so I'll get back to you on this.

iceydamo

  • Cool newbie
  • *
  • Posts: 73
  • Karma: 0
    • View Profile
FF9 Mod Version 2.1 released for Samuel's DLS!
« Reply #8 on: 2003-06-25 18:15:03 »
I didn't know how to edit the ini manuly but After I extreacted it with winrar and put it in the right place what I done was run the ff8 config and went to add it like I did before and bacause all the files were there the program thought it extracted it self so it came up on the list so if people don not want to add it manuly they could allways do the way I have found, so if people are having diffuclty getting the music packages to work and until you fix the dll file why don't you put a readme up on the site for them so they could do this way, plus it saves time by haveing to remake the package by useing the old win rar it is just a thought you don't have to use it if you don't want to.

Goku7

  • No life
  • *
  • Posts: 1308
  • Karma: 0
    • View Profile
FF9 Mod Version 2.1 released for Samuel's DLS!
« Reply #9 on: 2003-06-25 23:25:35 »
Quote from: iceydamo
I didn't know how to edit the ini manuly but After I extreacted it with winrar and put it in the right place what I done was run the ff8 config and went to add it like I did before and bacause all the files were there the program thought it extracted it self so it came up on the list so if people don not want to add it manuly they could allways do the way I have found, so if people are having diffuclty getting the music packages to work and until you fix the dll file why don't you put a readme up on the site for them so they could do this way, plus it saves time by haveing to remake the package by useing the old win rar it is just a thought you don't have to use it if you don't want to.


Yes, those are perfectly feasible ideas.  However, the idea behind the .ffaddon file was so that less computer savvy people could have the process automated for them.  Not to mention, it maybe possible to get the current WinRAR incompatibility fixed in a day or two, if I'm right about the "addon.dll" file.

At this point, though, I am REALLY glad you spoke up about the install problem.  To be honest, I had forgotten that the config program used the older decompression dlls to install stuff.